package org.apache.bcel.classfile;

import java.io.DataInput;
import java.io.DataOutputStream;
import java.io.IOException;

/* loaded from: org_apache_bcel_classfile.jar:org/apache/bcel/classfile/ConstantLong.class */
public final class ConstantLong extends Constant implements ConstantObject {
    private long bytes;

    public ConstantLong(ConstantLong c) {
        this(c.getBytes());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public ConstantLong(DataInput file) throws IOException {
        this(file.readLong());
    }

    public ConstantLong(long bytes) {
        super((byte) 5);
        this.bytes = bytes;
    }

    @Override // org.apache.bcel.classfile.Constant, org.apache.bcel.classfile.Node
    public void accept(Visitor v) {
        v.visitConstantLong(this);
    }

    @Override // org.apache.bcel.classfile.Constant
    public void dump(DataOutputStream file) throws IOException {
        file.writeByte(super.getTag());
        file.writeLong(this.bytes);
    }

    public long getBytes() {
        return this.bytes;
    }

    @Override // org.apache.bcel.classfile.ConstantObject
    public Object getConstantValue(ConstantPool cp) {
        return Long.valueOf(this.bytes);
    }

    public void setBytes(long bytes) {
        this.bytes = bytes;
    }

    @Override // org.apache.bcel.classfile.Constant
    public String toString() {
        return super.toString() + "(bytes = " + this.bytes + ")";
    }
}
